# 挂断小程序 (/zh-CN/api-reference/api-ref/voip-callkit/hangup-mini-app)

> For AI agents: see the complete documentation index at [llms.txt](/llms.txt).

通过该接口实现挂断与小程序的通话。

- OpenAPI: /openapi/voip-callkit/call.zh-CN.yaml
- Operation ID: hangupMiniApp
- Method: DELETE
- Path: /v1/miniapp/{appId}/voip/call/{modelId}/{deviceId}
- Endpoint: https://api.sd-rtn.com/v1/miniapp/{appId}/voip/call/{modelId}/{deviceId}

## Servers

- https://api.sd-rtn.com

## Authorization

This endpoint requires authentication.

- `Basic Auth`

## Parameters

- `appId` (path, required, string) - 你的声网项目使用的 [App ID](/zh-CN/introduction/glossary#appid)。
- `modelId` (path, required, string) - 小程序对应的设备型号。
- `deviceId` (path, required, string) - 设备 ID。

## Request body

No request body.

## Responses

### 200

请求成功。

- `code` (integer, required) - 状态码。
- `msg` (string, required) - 提示信息。
- `taskId` (string) - 本次请求的唯一标识符。该字段的值和 NCS 事件中返回的 sid 一致，你可以使用该字段定位出现异常的请求，然后排查问题。
### 非 200

请求失败。可能的原因有：
- 状态码为 400，表示请求异常。可能的原因有参数错误、License 错误、未开通服务等。你可以参考响应 Body 中的 `msg` 信息进行问题排查。
- 状态码为 500，表示服务端异常。可能的原因有连接超时、响应错误等。你可以参考响应 Body 中的 `msg` 信息进行问题排查。


- `code` (integer, required) - 状态码。
- `msg` (string, required) - 提示信息。
- `taskId` (string) - 本次请求的唯一标识符。该字段的值和 NCS 事件中返回的 sid 一致，你可以使用该字段定位出现异常的请求，然后排查问题。

## Response examples

### 200

```json
{
  "code": 200,
  "msg": "ok",
  "taskId": ""
}
```
### 非 200

```json
{
  "code": null,
  "msg": "提示信息。",
  "taskId": "本次请求的唯一标识符。该字段的值和 NCS 事件中返回的 sid 一致，你可以使用该字段定位出现异常的请求，然后排查问题。"
}
```
